Bug 5885 - Неверный путь к spadmin в меню
: Неверный путь к spadmin в меню
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-16 22:16 by
Modified: 2005-08-29 01:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-16 22:16:58
Файл /usr/lib/menu/openoffice.org для spadmin использует следующий путь:
/usr/lib/OpenOffice.org1.1.2/program/spadmin
На машине стоит OpenOffice.org 1.1.4.
------- Comment #1 From 2005-02-09 11:35:36 -------
Вообще, программы удобно собирать так, чтобы каталог был постоянным,  
типа /usr/lib/mozilla, /usr/lib/qt3, а на версию - ссылка, т.е. по сравнению с  
текущей сборкой OOo - наоборот. Тогда такие баги не вылазят.  
Только теперь поменять не получиться, т.к. превращение ссылки в каталог и  
наоборот в пакете rpm может сопроводиться приличной головной болью.  
Но можно сделать каталог /usr/lib/openoffice.org и сылки на него 
- /usr/lib/OpenOffice.org и /usr/lib/OpenOffice.org-%version . 
От /usr/lib/OpenOffice.org%version отказаться, тогда изменение без проблем 
пройдет. 
------- Comment #2 From 2005-02-14 21:55:58 -------
Fixed in 1.1.4-alt2